Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Containers for J2EE Job Scheduler Java API Reference 10g Release 3 (10.1.3) B16026-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ias.scheduler
Class Job

    java.lang.Object
      oracle.ias.scheduler.Job

All Implemented Interfaces:
  java.io.Serializable

public final class Job
extends java.lang.Object
implements java.io.Serializable

This system-supplied class serves as a handle that references a specific instance of a submitted job. Using this handle a job may be interrogated in order to determine the associated state and configuration. NOTE: modification of any of the objects returned by this class does NOT result in a modification to the instance managed by the scheduler.

See Also:
  Serialized Form

Constructor Summary
`Job(java.lang.String classname, java.lang.String desc, Schedule schedule, Trigger trigger, java.util.Properties props, java.util.logging.Level loglevel, long retryPeriod, long executionThreshold, JobHandle handle)` Constructs a Job using the parameters specified.

Method Summary
`java.lang.String` | `getClassName()` Gets the `Executable` implementation class name for this job specified when the job was submitted.
`java.lang.String` | `getDescription()` Gets the description for this job specified when the job was submitted.
`long` | `getExecutionThreshold()` Gets the execution threshold for this job.
`JobHandle` | `getHandle()` Gets the handle for this job.
`java.util.logging.Level` | `getLogLevel()` returns the logging level for this job
`java.util.Properties` | `getProperties()` Gets the properties for this job specified when the job was submitted.
`long` | `getRetryPeriod()` Gets the retry period for this job.
`Schedule` | `getSchedule()` Gets the schedule for this job specified when the job was submitted.
`Trigger` | `getTrigger()` Gets the trigger for this job specified when the job was submitted.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Job

    public Job(java.lang.String classname,
               java.lang.String desc,
               Schedule schedule,
               Trigger trigger,
               java.util.Properties props,
               java.util.logging.Level loglevel,
               long retryPeriod,
               long executionThreshold,
               JobHandle handle)

  Constructs a Job using the parameters specified.

Method Detail

### getLogLevel

    public java.util.logging.Level getLogLevel()

  returns the logging level for this job

  Returns:
    execution threshold in milliseconds

### getExecutionThreshold

    public long getExecutionThreshold()

  Gets the execution threshold for this job. The period of time after exepected execution time in which job execution will be discarded.

  Returns:
    execution threshold in milliseconds

### getRetryPeriod

    public long getRetryPeriod()

  Gets the retry period for this job. The period of time in which job execution will be retried in case of an execution failure

  Returns:
    period of retry in milliseconds

### getClassName

    public java.lang.String getClassName()

  Gets the `Executable` implementation class name for this job specified when the job was submitted.

  Returns:
    class name for this job submission.

### getDescription

    public java.lang.String getDescription()

  Gets the description for this job specified when the job was submitted.

  Returns:
    The description for this job submission or null if a description was not specified.

### getSchedule

    public Schedule getSchedule()

  Gets the schedule for this job specified when the job was submitted.

  Returns:
    The `Schedule` for this job submission or null a schedule was not specified.

### getTrigger

    public Trigger getTrigger()

  Gets the trigger for this job specified when the job was submitted.

  Returns:
    The `Trigger` for this job submission or null a trigger was not specified.

### getProperties

    public java.util.Properties getProperties()

  Gets the properties for this job specified when the job was submitted.

  Returns:
    The `Properties` for this job submission or null properties were not specified.

### getHandle

    public JobHandle getHandle()

  Gets the handle for this job.

  Returns:
    Gets the `Job` for this job submission or null a trigger was not specified.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Containers for J2EE Job Scheduler Java API Reference 10g Release 3 (10.1.3) B16026-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.